summaryrefslogtreecommitdiff
path: root/x11-plugins/pidgin-bot-sentry
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /x11-plugins/pidgin-bot-sentry
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'x11-plugins/pidgin-bot-sentry')
-rw-r--r--x11-plugins/pidgin-bot-sentry/Manifest1
-rw-r--r--x11-plugins/pidgin-bot-sentry/metadata.xml17
-rw-r--r--x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0-r2.ebuild26
3 files changed, 44 insertions, 0 deletions
diff --git a/x11-plugins/pidgin-bot-sentry/Manifest b/x11-plugins/pidgin-bot-sentry/Manifest
new file mode 100644
index 000000000000..403437abc061
--- /dev/null
+++ b/x11-plugins/pidgin-bot-sentry/Manifest
@@ -0,0 +1 @@
+DIST bot-sentry-1.3.0.tar.bz2 280673 BLAKE2B 30dd8b7811b6cb6e9779fd15cb32f94c7f01302ccb1c827aa9033c1784d5ea501a569561419796fcedfabf2e6e9cf64e3bf8f0f311e272327c534cde6237567b SHA512 ec665eee2f9b64eccabd10116cb1d1e4be046bc9a6132cb815373be915d265b29b33d41298047f82f920f5daac70a966169ecb201450ba47d76d090c581ee788
diff --git a/x11-plugins/pidgin-bot-sentry/metadata.xml b/x11-plugins/pidgin-bot-sentry/metadata.xml
new file mode 100644
index 000000000000..67b88e23c0fc
--- /dev/null
+++ b/x11-plugins/pidgin-bot-sentry/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+ <longdescription lang="en">
+ Bot Sentry is a Pidgin (libpurple) plugin to prevent Instant Message (IM)
+ spam. It allows you to ignore IMs unless the sender is in your Buddy List,
+ the sender is in your Allow List, or the sender correctly answers a question
+ you have predefined.
+ </longdescription>
+ <upstream>
+ <remote-id type="sourceforge">pidgin-bs</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0-r2.ebuild b/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0-r2.ebuild
new file mode 100644
index 000000000000..97eb80e999b3
--- /dev/null
+++ b/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0-r2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${P#pidgin-}"
+
+DESCRIPTION="Bot Sentry is a Pidgin plugin to prevent Instant Message (IM) spam"
+HOMEPAGE="https://sourceforge.net/projects/pidgin-bs/"
+SRC_URI="https://downloads.sourceforge.net/pidgin-bs/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="net-im/pidgin[gui]
+ x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND=">=dev-util/intltool-0.40
+ virtual/pkgconfig"
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}